Opened 6 months ago

Closed 6 months ago

#3023 closed help (answered)

which fluxnet sites failed?

Reported by: awright Owned by: pmcguire
Component: Rose/Cylc Keywords: jasmin, jules, fluxnet
Cc: Platform: JASMIN
UM Version:

Description

Hello Patrick,

I have run my suite (e.g. AH_BC4) and in the interface it says I have had 12 failed tasks (as attached). I look at my log files for instance in :
home/users/azin/cylc-run/AH_BC4/log/job/1/jules_cn_dan_p0/01/job.err

and it tells me whether there was a fatal error or just warnings. How can I find out which sites had fatal error, other than opening the log error of each site?

All the best,

Azin

Attachments (1)

Screen Shot 2019-09-26 at 19.44.24.png (86.0 KB) - added by awright 6 months ago.

Download all attachments as: .zip

Change History (7)

Changed 6 months ago by awright

comment:1 Changed 6 months ago by pmcguire

  • Status changed from new to accepted

comment:2 Changed 6 months ago by pmcguire

Hi Azin:
The easiest way is to click the little triangle next to the red JULES process in your Cylc GUI. That will expand to the list of JULES tasks, and it will probably show the ones with FATAL ERRORS as having crashed, and the ones without FATAL ERRORS as not having crashed and as having successfully completed.

If the easiest way doesn't work, then you can try the next easiest way of using grep at the command line:

1)grep 'FATAL ERROR' ~/cylc-run/AH_BC4/log/job/1/*/01/job*

This gives in your case:

/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_default/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59
/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_p0/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59
/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_psi/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59
/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_soil14/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59
/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_soil14_mod1/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59
/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_soil14_p0/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59
/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_soil14_psi/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59
/home/users/azin/cylc-run/AH_BC4/log/job/1/jules_it_cp2_soil14_realroots/01/job.err:[FATAL ERROR] file_ts_advance: Cannot advance to 2016-01-01 00:00:00 - data_end is 2015-12-31 23:59:59

Does this work for you? Does this solve your problem?
Patrick

comment:3 Changed 6 months ago by pmcguire

  • Component changed from UM Model to Rose/Cylc

comment:4 Changed 6 months ago by awright

Hello Patrick,

Yes, thank you very much.

All the best,

Azin

comment:5 Changed 6 months ago by pmcguire

Dear Azin
Excellent! Glad it works now.
Patrick

comment:6 Changed 6 months ago by pmcguire

  • Resolution set to answered
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.